aboutsummaryrefslogtreecommitdiffstats
path: root/standalone-kernel/fetch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'standalone-kernel/fetch.sh')
-rw-r--r--standalone-kernel/fetch.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/standalone-kernel/fetch.sh b/standalone-kernel/fetch.sh
new file mode 100644
index 0000000..dcc25de
--- /dev/null
+++ b/standalone-kernel/fetch.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+USER_AGENT="WireGuard-AndroidROMBuild/0.1 ($(uname -a))"
+
+[[ $(( $(date +%s) - $(stat -c %Y "net/wireguard/.check" 2>/dev/null || echo 0) )) -gt 86400 ]] || exit 0
+
+[[ $(curl -A "$USER_AGENT" -LSs https://git.zx2c4.com/WireGuard/refs/) =~ snapshot/WireGuard-([0-9.]+)\.tar\.xz ]]
+
+if [[ -f net/wireguard/version.h && $(< net/wireguard/version.h) == *${BASH_REMATCH[1]}* ]]; then
+ touch net/wireguard/.check
+ exit 0
+fi
+
+rm -rf net/wireguard
+mkdir -p net/wireguard
+curl -A "$USER_AGENT" -LsS "https://git.zx2c4.com/WireGuard/snapshot/WireGuard-${BASH_REMATCH[1]}.tar.xz" | tar -C "net/wireguard" -xJf - --strip-components=2 "WireGuard-${BASH_REMATCH[1]}/src"
+sed -i 's/tristate/bool/;s/default m/default y/;' net/wireguard/Kconfig
+touch net/wireguard/.check